const express = require("express");
const helmet = require('helmet');
const cors = require('cors');

const authRouter = require('../services/auth/authRouter');
const usersRouter = require('../services/users/usersRouter');
const sessionsRouter = require('../services/sessions/sessionsRouter');
const dailyAveragesRouter = require('../services/dailyAverages/dailyAveragesRouter');
const { authenticate } = require('../services/auth/authenticate');

const server = express();

server.use(helmet());
server.use(express.json());
server.use(cors());

server.use('/api/auth', authRouter);
server.use('/api/users', authenticate, usersRouter);
server.use('/api/users', authenticate, sessionsRouter);
server.use('/api/users', authenticate, dailyAveragesRouter);

module.exports = server;
